# Data Source: ionoscloud\_vpn\_wireguard\_gateway

The `ionoscloud_vpn_wireguard_gateway` data source provides information about a specific IONOS CLOUD VPN WireGuard Gateway. You can use this data source to retrieve details of a WireGuard Gateway for use in other resources and configurations.

## Example Usage

```hcl
data "ionoscloud_vpn_wireguard_peer" "example" {
  location = "de/fra"
  gateway_id = "example-gateway"
  name = "example-peer"
}

output "vpn_wireguard_peer_public_key" {
  value = data.vpn_wireguard_peer.example.public_key
}
```

## Argument Reference

The following arguments are supported:

* `gateway_id` - (Required)\[String] The ID of the WireGuard Gateway.
* `location` - (Optional)\[String] The location of the WireGuard Gateway. Supported locations: de/fra, de/fra/2, de/txl, es/vit, gb/bhx, gb/lhr, us/ewr, us/las, us/mci, fr/par.
* `name` - (Optional)\[String] The name of the WireGuard Peer.
* `id` - (Optional)\[String] The ID of the WireGuard Peer.

## Attributes Reference

In addition to all arguments above, the following attributes are exported:

* `id` - The unique ID of the WireGuard Peer.
* `name` - The name of the WireGuard Peer.
* `description` - The description of the WireGuard Peer.
* `public_key` - WireGuard public key of the connecting peer.
* `status` - The current status of the WireGuard Peer.
* `endpoint` - The endpoint of the WireGuard Peer.
  * `host` - Hostname or IPV4 address that the WireGuard Server will connect to.
  * `port` - Port that the WireGuard Server will connect to. Default: 51820
* `allowed_ips` - The subnet CIDRs that are allowed to connect to the WireGuard Gateway.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/terraform-provider/data-sources/vpn_wireguard_peer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
